CppUnitTestPlugin (Gradle API 9.0.0)
Description: declaration: package: org.gradle.nativeplatform.test.cpp.plugins, class: CppUnitTestPlugin

Package org.gradle.nativeplatform.test.cpp.plugins

# Class CppUnitTestPlugin

java.lang.Object
org.gradle.nativeplatform.test.cpp.plugins.CppUnitTestPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public abstract class CppUnitTestPlugin extends Object implements Plugin<Project>
A plugin that sets up the infrastructure for testing C++ binaries using a simple test executable. Gradle will create a `RunTestExecutable` task that relies on the exit code of the binary.

Since:
  4.4

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CppUnitTestPlugin(org.gradle.language.internal.NativeComponentFactory componentFactory, org.gradle.language.nativeplatform.internal.toolchains.ToolChainSelector toolChainSelector, ObjectFactory objectFactory, org.gradle.api.internal.attributes.AttributesFactory attributesFactory, TargetMachineFactory targetMachineFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CppUnitTestPlugin

    @Inject public CppUnitTestPlugin(org.gradle.language.internal.NativeComponentFactory componentFactory, org.gradle.language.nativeplatform.internal.toolchains.ToolChainSelector toolChainSelector, ObjectFactory objectFactory, org.gradle.api.internal.attributes.AttributesFactory attributesFactory, TargetMachineFactory targetMachineFactory)

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object